;----------------------------------------------------------------------------
;File name:	LACE_UNM.S			Revision date:	1995.07.30
;Created by:	Ulf Ronald Andersson		Creation date:	1994.08.19
;Code purpose:	Disable LaceScan physbase masking (unlike boot default)
;----------------------------------------------------------------------------
;
	INCLUDE	findlace.s
;
;----------------------------------------------------------------------------
;
	SECTION TEXT
;
;----------------------------------------------------------------------------
;
start:
	move.l	4(sp),a5		;a5 -> basepage
	move.l	24(a5),d5		;d5 -> bss area start
	add.l	28(a5),d5		;d5 -> bss area end
	sub.l	a5,d5			;d5 =  total RAM size
	move.l	d5,-(sp)		;push RAM size
	move.l	a5,-(sp)		;push -> basepage
	move	#0,-(sp)		;push extra zero word
	move	#$4A,-(sp)		;push gemdos Mshrink op
	trap	#1			;call gemdos
	add	#12,sp			;cleanup stack
;
	find_lace
	beq.s	exit			;exit if no structure found
	move.l	d0,a0
	move	#0,lpt_phys_mask(a0)	;disable physbase masking
exit:
	clr	-(sp)			;gemdos	Pterm0 code
	trap	#1
;
;----------------------------------------------------------------------------
	END
;----------------------------------------------------------------------------
;End of file:	LACE_UNM.S
;----------------------------------------------------------------------------

